> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/pricing-plan-and-reference/reference.md).

# Reference

## Get pay in month values

> Retrieve the list of Pay In Month values.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/pricing/v2/Reference/PayInMonth":{"get":{"tags":["Reference"],"summary":"Get pay in month values","description":"Retrieve the list of Pay In Month values.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayInMonthCollection"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Server Error"}}}}},"components":{"schemas":{"PayInMonthCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/PayInMonth"},"description":"A collection of Pay in Month values.","nullable":true}},"additionalProperties":false},"PayInMonth":{"type":"object","properties":{"id":{"type":"integer","description":"The unique identifier for the pay-in-month option.","format":"int32"},"description":{"type":"string","description":"The textual description of the pay-in-month option.","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get display type codes

> Retrieve the list of Display Type Codes.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/pricing/v2/Reference/DisplayTypeCode":{"get":{"tags":["Reference"],"summary":"Get display type codes","description":"Retrieve the list of Display Type Codes.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingPlanDisplayTypeCollection"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Server Error"}}}}},"components":{"schemas":{"PricingPlanDisplayTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/PricingPlanDisplayType"},"description":"A collection of display type code values.","nullable":true}},"additionalProperties":false},"PricingPlanDisplayType":{"type":"object","properties":{"templateDisplayTypeID":{"type":"integer","description":"Unique identifier for the display type template.","format":"int32"},"displayTypeCode":{"type":"string","description":"The primary code that represents the display type.","nullable":true},"displaySubTypeCode":{"type":"string","description":"The subtype associated with the display type.","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/pricing-plan-and-reference/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
